-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlPseudoState

Declaration :

- C++ : class UmlPseudoState : public UmlStateItem, public UmlItem
- Java : abstract class UmlPseudoState extends UmlItem implements UmlStateItem

Directly inherited by : UmlBaseChoicePseudoState UmlBaseDeepHistoryPseudoState UmlBaseEntryPointPseudoState UmlBaseExitPointPseudoState UmlBaseFinalState UmlBaseForkPseudoState UmlBaseInitialPseudoState UmlBaseJoinPseudoState UmlBaseJunctionPseudoState UmlBaseShallowHistoryPseudoState UmlBaseTerminatePseudoState

Artifact : UmlPseudoState

Operation UmlPseudoState

Declaration :

- C++ : public: UmlPseudoState(void * id, const QCString & s) : UmlItem(id, s)
- Java : public UmlPseudoState(long id, String s)

the constructor, do not call it yourself !!!!!!!!!!

All public operations :

apply , children , childrenVisible , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , markedItems , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload